# SETEFI Payment method #
This module is made by ShineSoftware, fixed and improved by FiloBlu.

Supported payment methods:

* Hosted 3D Secure

* MyBank bank transfer

## Requirements ##

MyBank must not let customer switch to credit card on remote payment page. This is a setting that has to be requested to Setefi support.

## TODO ##

* Fix the capture online/offline. I was not able to handle the autorize/sale transaction types.

* Implement refund (also: transactions are not saved correctly at the moment, so they are not refundable by Magento)* 

* Implement a scheduled check on pending MyBank transactions. Pending transactions can be canceled or authorized on MyBank platform, so the module should periodically check the status for changes.

* Implement validation of security token.

## For more information ##

Ask Ermanno Baschiera for more information. ermanno@filoblu.com